<div class="card">
	<div class="card-header">
		<div class="d-flex">
			<i class="fas fa-table mr-1 align-self-center"></i>
			<h5 class="card-title mb-0 flex-fill align-self-center">Listado de Roles</h5>
			<app-pager-add permission="roles_create"></app-pager-add>
		</div>
	</div>

	<div class="card-body">
		<app-pager-size-filter></app-pager-size-filter>

		<div class="row m-t-15">
			<div class="col-md-12">
				<ngx-datatable appPager (onPager)="getData()" #table>
					<ngx-datatable-column [resizeable]="false" [flexGrow]="2" prop="name" name="Nombre"></ngx-datatable-column>

					<ngx-datatable-column [resizeable]="false" [flexGrow]="1" [sortable]="false" name="Acciones" headerClass="text-center">
						<ng-template ngx-datatable-cell-template let-row="row">
							<div class="text-center">
								<button
									type="button"
									class="btn btn-primary py-1 mr-1"
									ngbTooltip="Acciones"
									[routerLink]="['actions', row.id]"
									*ngxPermissionsOnly="'roles_actions'"
								>
									<i class="fas fa-list"></i>
								</button>

								<app-pager-button-edit permission="roles_edit" [link]="['edit', row.id]"></app-pager-button-edit>
								<app-pager-button-delete permission="roles_delete" (click)="delete(row)"></app-pager-button-delete>
							</div>
						</ng-template>
					</ngx-datatable-column>
				</ngx-datatable>
			</div>
		</div>
	</div>
</div>
